# Class GZIPInputStream

java.lang.Object
java.io.InputStream
com.codename1.io.gzip.FilterInputStream
com.codename1.io.gzip.InflaterInputStream
com.codename1.io.gzip.GZIPInputStream

All Implemented Interfaces:
  `AutoCloseable`

public class GZIPInputStream extends InflaterInputStream

- ## Field Summary

  ### Fields inherited from class InflaterInputStream

  `buf, DEFAULT_BUFSIZE, inflater, myinflater`
  Modifier and Type
  Field
  Description
  `protected byte[]`
  `buf`
  `protected static final int`
  `DEFAULT_BUFSIZE`
  `protected final Inflater`
  `inflater`
  `protected boolean`
  `myinflater`

  ### Fields inherited from class FilterInputStream

  `in`
  Modifier and Type
  Field
  Description
  `protected InputStream`
  `in`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GZIPInputStream(InputStream in)`
  `GZIPInputStream(InputStream in, int size, boolean closeIn)`
  `GZIPInputStream(InputStream in, Inflater inflater, int size, boolean closeIn)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getComment()`
  `long`
  `getCRC()`
  `long`
  `getModifiedtime()`
  `String`
  `getName()`
  `int`
  `getOS()`
  `void`
  `readHeader()`

  ### Methods inherited from class InflaterInputStream

  `available, close, fill, getAvailIn, getInflater, getTotalIn, getTotalOut, mark, markSupported, read, read, reset, skip`
  Modifier and Type
  Method
  Description
  `int`
  `available()`
  Returns the number of bytes that can be read (or skipped over) from this input stream without blocking by the next caller of a method for this input stream.
  `void`
  `close()`
  Closes this input stream and releases any system resources associated with the stream.
  `protected void`
  `fill()`
  `byte[]`
  `getAvailIn()`
  `Inflater`
  `getInflater()`
  `long`
  `getTotalIn()`
  `long`
  `getTotalOut()`
  `void`
  `mark(int readlimit)`
  Marks the current position in this input stream.
  `boolean`
  `markSupported()`
  Tests if this input stream supports the mark and reset methods.
  `int`
  `read()`
  Reads the next byte of data from the input stream.
  `int`
  `read(byte[] b, int off, int len)`
  Reads up to len bytes of data from the input stream into an array of bytes.
  `void`
  `reset()`
  Repositions this stream to the position at the time the mark method was last called on this input stream.
  `long`
  `skip(long n)`
  Skips over and discards n bytes of data from this input stream.

  ### Methods inherited from class FilterInputStream

  `read`
  Modifier and Type
  Method
  Description
  `int`
  `read(byte[] b)`
  Reads some number of bytes from the input stream and stores them into the buffer array b.

  ### Methods inherited from class Object

  `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `final Class`
  `getClass()`
  Returns the runtime class of an object.
  `int`
  `hashCode()`
  Returns a hash code value for the object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `String`
  `toString()`
  Returns a string representation of the object.
  `final void`
  `wait()`
  Causes current thread to wait until another thread invokes the method or the method for this object.
  `final void`
  `wait(long timeout)`
  Causes current thread to wait until either another thread invokes the method or the method for this object, or a specified amount of time has elapsed.
  `final void`
  `wait(long timeout, int nanos)`
  Causes current thread to wait until another thread invokes the method or the method for this object, or some other thread interrupts the current thread, or a certain amount of real time has elapsed.

- ## Constructor Details

  - ### GZIPInputStream

    public GZIPInputStream(InputStream in) throws IOException
    Throws:
      `IOException`

  - ### GZIPInputStream

    public GZIPInputStream(InputStream in, int size, boolean closeIn) throws IOException
    Throws:
      `IOException`

  - ### GZIPInputStream

    public GZIPInputStream(InputStream in, Inflater inflater, int size, boolean closeIn) throws IOException
    Throws:
      `IOException`

- ## Method Details

  - ### getModifiedtime

    public long getModifiedtime()

  - ### getOS

    public int getOS()

  - ### getName

    public String getName()

  - ### getComment

    public String getComment()

  - ### getCRC

    public long getCRC() throws GZIPException
    Throws:
      `GZIPException`

  - ### readHeader

    public void readHeader() throws IOException
    Overrides:
      `readHeader` in class `InflaterInputStream`
    Throws:
      `IOException`